package com.emr.dao.emrRoleReader;

import com.emr.dao.CommomMapper;
import com.emr.entity.emrRoleReader.Emr_Role_Reader;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_Role_ReaderMapper extends CommomMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Role_Reader record);

    int insertSelective(Emr_Role_Reader record);

    Emr_Role_Reader selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Role_Reader record);

    int updateByPrimaryKey(Emr_Role_Reader record);
    /**
     * 根据角色id删除
     * */
    void deleteReaderByRoleId(@Param("roleId") Integer roleId);
    /**
     *角色id查询全部
     * */
    List<Emr_Role_Reader> selectAllByRoleId(@Param("roleId") Integer roleId);
}